from cyxtrax.io import record_atlas
from cyxtrax.simulation import CylindricalProjection, load_mesh
from cyxtrax.data import olaf_mesh, MeshObject
from pathlib import Path
import numpy as np


# Just get the temp folder to store the atlas
FOLDER = Path(__file__)
TEMP_FOLDER = FOLDER.parent.parent / "dir2025"


def main():
    # code_embedder:A start
    # Create the cylindrical projection interface
    cyl_proj = CylindricalProjection()
    obj = MeshObject(Path(r'C:\Program Files\BAM\aRTist 2.12\Data\Library\ExampleParts\Fun\Smurf.stl'),
                     position_mm=-np.array([56., 10.5, 2.]), orientation_quat=np.array([0., 0., 0., 1.]))
    load_mesh(cyl_proj, [obj])
    # make an atlas

    save_path = record_atlas(
        cyl_proj,
        [obj],
        "smurf",
        TEMP_FOLDER,
        map_bounding_box=[-2, 2],
        number_of_maps=3,
    )
    # code_embedder:A end
    print(f"Atlas saved to the path: {save_path}")


if __name__ == "__main__":
    main()
