from jax import numpy as jnp


def merge_atlases(carry_atlas: jnp.ndarray, atlas: jnp.ndarray) -> jnp.ndarray:
    return carry_atlas.at[:].add(atlas) / 2.0


def merge_lists(carry_list: list, x: list) -> list:
    return carry_list.extend(x)


def merge_atlas_and_dict(
    atlas_one, mesh_list_one, atlas_two, mesh_list_two
) -> tuple[jnp.ndarray, list]:
    return merge_atlases(atlas_one, atlas_two), merge_lists(
        mesh_list_one, mesh_list_two
    )
